export default class CookieDisclaimerModule {
    private cookieConsentName;
    private $containerElement;
    constructor(target: string, closeButtonSelector: string);
    isConsentAccepted(): boolean;
    private setupContainerElement;
    private setupCloseButton;
    private initCookieConsentCheck;
    private hideDisclaimer;
    private showDisclaimer;
    private saveConsent;
}
